Перейти к содержанию

Поиск сообщества

Показаны результаты для тегов 'VBA Openoffice'.

  • Поиск по тегам

    Введите теги через запятую.
  • Поиск по автору

Тип контента


Форумы

  • Общие форумы
    • Принципы распространения продуктов Нанософт
    • Общие вопросы
    • Скачать полезное
    • Обсуждение любых САПР
  • Тематические форумы
    • nanoCAD как платформа
    • nanoCAD СПДС
    • nanoCAD Электро
    • nanoCAD ОПС
    • nanoCAD СПДС Железобетон
    • nanoCAD СПДС Металлоконструкции
    • nanoCAD СПДС Стройплощадка
    • nanoCAD СКС
    • nanoCAD Механика
    • nanoCAD Геоника
    • nanoCAD ВК
    • nanoCAD Отопление
    • nanoCAD Конструкторский BIM
    • nanoCAD Конструкции (модуль КЖ)
    • nanoTDMS
    • nanoCAD Схемы
    • nanoCAD ЛЭП
    • NormaCS
    • Функциональные расширения nanoCAD
    • Портал Технической поддержки
    • Обработка данных лазерного сканирования
  • Программы членов Клуба разработчиков
    • KDM-INFO
    • Проектное бюро "Фордевинд"
    • VetCAD++
  • Не о программах
    • Юмор
    • Вопросы и пожелания по работе форума
    • Вопросы и пожелания по работе сайта
    • Новостная лента сайта nanoCAD.ru

Блоги

Без результатов


Поиск результатов в...

Поиск контента, содержащего...


Дата создания

  • Начало

    Конец


Дата обновления

  • Начало

    Конец


Фильтр по количеству...

Регистрация

  • Начало

    Конец


Группа


Сайт


ICQ


Skype


Город


Интересы

Найдено: 1 результат

  1. Бодрого дня. Из VBA Excel все ОК. Как запустить из VBA Openoffice. Ругается на первую строку (Dim app As nanoCAD.Application). В Excel лазил tool->references прицеплял "nanocad tipe library", в VBA Openoffice ничего подобного не нашел. Help. Sub NANO() Dim app As nanoCAD.Application Set app = GetObject("", "nanoCAD.Application") app.Visible = True Dim ThisDrawing As nanoCAD.Document Set ThisDrawing = app.ActiveDocument Dim ms 'As AcadModelSpace Set ms = ThisDrawing.ModelSpace Dim ut As nanoCAD.Utility Set ut = ThisDrawing.Utility Dim line 'As AcadLine Dim pt0(2), pt1(2) As Double pt0(0) = 0 pt0(1) = 0 pt0(2) = 0 pt1(0) = 1000 pt1(1) = 1000 pt1(2) = 1000 Set line = ThisDrawing.ModelSpace.AddLine(pt0, pt1) End Sub
×
×
  • Создать...